Runtimes
List built-in runtimes
GET
List built-in agent runtimes
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://litellm-rust.onrender.com/api/agent-runtimes \
--header 'Authorization: Bearer <token>'{
"runtimes": [
{
"name": "Cursor",
"default_api_base": "https://api.cursor.com",
"credential_provider_id": "cursor",
"credential_provider_name": "Cursor",
"tools": [
{}
],
"connected": true,
"api_base": "<string>",
"masked_api_key": "<string>"
}
]
}curl --request GET \
--url https://litellm-rust.onrender.com/api/agent-runtimes \
--header 'Authorization: Bearer <token>'{
"runtimes": [
{
"name": "Cursor",
"default_api_base": "https://api.cursor.com",
"credential_provider_id": "cursor",
"credential_provider_name": "Cursor",
"tools": [
{}
],
"connected": true,
"api_base": "<string>",
"masked_api_key": "<string>"
}
]
}